<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: arm_compute/runtime/CL/CLFunctions.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_c_l_functions_8h.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">CLFunctions.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_c_l_absolute_difference_8h_source.xhtml">arm_compute/runtime/CL/functions/CLAbsoluteDifference.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_accumulate_8h_source.xhtml">arm_compute/runtime/CL/functions/CLAccumulate.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_activation_layer_8h_source.xhtml">arm_compute/runtime/CL/functions/CLActivationLayer.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_arithmetic_addition_8h_source.xhtml">arm_compute/runtime/CL/functions/CLArithmeticAddition.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_arithmetic_subtraction_8h_source.xhtml">arm_compute/runtime/CL/functions/CLArithmeticSubtraction.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_bitwise_and_8h_source.xhtml">arm_compute/runtime/CL/functions/CLBitwiseAnd.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_bitwise_not_8h_source.xhtml">arm_compute/runtime/CL/functions/CLBitwiseNot.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_bitwise_or_8h_source.xhtml">arm_compute/runtime/CL/functions/CLBitwiseOr.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_bitwise_xor_8h_source.xhtml">arm_compute/runtime/CL/functions/CLBitwiseXor.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_box3x3_8h_source.xhtml">arm_compute/runtime/CL/functions/CLBox3x3.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_canny_edge_8h_source.xhtml">arm_compute/runtime/CL/functions/CLCannyEdge.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_channel_combine_8h_source.xhtml">arm_compute/runtime/CL/functions/CLChannelCombine.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_channel_extract_8h_source.xhtml">arm_compute/runtime/CL/functions/CLChannelExtract.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_color_convert_8h_source.xhtml">arm_compute/runtime/CL/functions/CLColorConvert.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_convolution_8h_source.xhtml">arm_compute/runtime/CL/functions/CLConvolution.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_convolution_layer_8h_source.xhtml">arm_compute/runtime/CL/functions/CLConvolutionLayer.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_depth_convert_8h_source.xhtml">arm_compute/runtime/CL/functions/CLDepthConvert.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_derivative_8h_source.xhtml">arm_compute/runtime/CL/functions/CLDerivative.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_dilate_8h_source.xhtml">arm_compute/runtime/CL/functions/CLDilate.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_equalize_histogram_8h_source.xhtml">arm_compute/runtime/CL/functions/CLEqualizeHistogram.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_erode_8h_source.xhtml">arm_compute/runtime/CL/functions/CLErode.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_fast_corners_8h_source.xhtml">arm_compute/runtime/CL/functions/CLFastCorners.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_fill_border_8h_source.xhtml">arm_compute/runtime/CL/functions/CLFillBorder.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_fully_connected_layer_8h_source.xhtml">arm_compute/runtime/CL/functions/CLFullyConnectedLayer.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_g_e_m_m_8h_source.xhtml">arm_compute/runtime/CL/functions/CLGEMM.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_g_e_m_m_lowp_8h_source.xhtml">arm_compute/runtime/CL/functions/CLGEMMLowp.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_gaussian3x3_8h_source.xhtml">arm_compute/runtime/CL/functions/CLGaussian3x3.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_gaussian5x5_8h_source.xhtml">arm_compute/runtime/CL/functions/CLGaussian5x5.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_gaussian_pyramid_8h_source.xhtml">arm_compute/runtime/CL/functions/CLGaussianPyramid.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_harris_corners_8h_source.xhtml">arm_compute/runtime/CL/functions/CLHarrisCorners.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_histogram_8h_source.xhtml">arm_compute/runtime/CL/functions/CLHistogram.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_integral_image_8h_source.xhtml">arm_compute/runtime/CL/functions/CLIntegralImage.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_laplacian_pyramid_8h_source.xhtml">arm_compute/runtime/CL/functions/CLLaplacianPyramid.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_laplacian_reconstruct_8h_source.xhtml">arm_compute/runtime/CL/functions/CLLaplacianReconstruct.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_magnitude_8h_source.xhtml">arm_compute/runtime/CL/functions/CLMagnitude.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_mean_std_dev_8h_source.xhtml">arm_compute/runtime/CL/functions/CLMeanStdDev.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_median3x3_8h_source.xhtml">arm_compute/runtime/CL/functions/CLMedian3x3.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_min_max_location_8h_source.xhtml">arm_compute/runtime/CL/functions/CLMinMaxLocation.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_non_linear_filter_8h_source.xhtml">arm_compute/runtime/CL/functions/CLNonLinearFilter.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_non_maxima_suppression3x3_8h_source.xhtml">arm_compute/runtime/CL/functions/CLNonMaximaSuppression3x3.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_normalization_layer_8h_source.xhtml">arm_compute/runtime/CL/functions/CLNormalizationLayer.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_optical_flow_8h_source.xhtml">arm_compute/runtime/CL/functions/CLOpticalFlow.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_phase_8h_source.xhtml">arm_compute/runtime/CL/functions/CLPhase.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_pixel_wise_multiplication_8h_source.xhtml">arm_compute/runtime/CL/functions/CLPixelWiseMultiplication.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_pooling_layer_8h_source.xhtml">arm_compute/runtime/CL/functions/CLPoolingLayer.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_remap_8h_source.xhtml">arm_compute/runtime/CL/functions/CLRemap.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_scale_8h_source.xhtml">arm_compute/runtime/CL/functions/CLScale.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_scharr3x3_8h_source.xhtml">arm_compute/runtime/CL/functions/CLScharr3x3.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_sobel3x3_8h_source.xhtml">arm_compute/runtime/CL/functions/CLSobel3x3.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_sobel5x5_8h_source.xhtml">arm_compute/runtime/CL/functions/CLSobel5x5.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_sobel7x7_8h_source.xhtml">arm_compute/runtime/CL/functions/CLSobel7x7.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_softmax_layer_8h_source.xhtml">arm_compute/runtime/CL/functions/CLSoftmaxLayer.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_table_lookup_8h_source.xhtml">arm_compute/runtime/CL/functions/CLTableLookup.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_threshold_8h_source.xhtml">arm_compute/runtime/CL/functions/CLThreshold.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_transpose_8h_source.xhtml">arm_compute/runtime/CL/functions/CLTranspose.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_warp_affine_8h_source.xhtml">arm_compute/runtime/CL/functions/CLWarpAffine.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_c_l_warp_perspective_8h_source.xhtml">arm_compute/runtime/CL/functions/CLWarpPerspective.h</a>&quot;</code><br />
</div>
<p><a href="_c_l_functions_8h_source.xhtml">Go to the source code of this file.</a></p>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_214608ef36d61442cb2b0c1c4e9a7def.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="dir_8bc26130589aa16388b5a02f17abf2c2.xhtml">runtime</a></li><li class="navelem"><a class="el" href="dir_b986aa98f9b6490bb4fc7918500346fb.xhtml">CL</a></li><li class="navelem"><a class="el" href="_c_l_functions_8h.xhtml">CLFunctions.h</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:09 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
